Bug 694963 - Exherbo LXC domain dies immediately on startup, but Fedora LXC domain does not
Exherbo LXC domain dies immediately on startup, but Fedora LXC domain does not
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-09 03:56 EDT by Robin Green
Modified: 2012-01-24 17:39 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 17:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
config file (779 bytes, text/plain)
2011-04-09 04:02 EDT, Robin Green
no flags Details

  None (edit)
Description Robin Green 2011-04-09 03:56:14 EDT
Description of problem:
I have defined an LXC domain for Fedora 15, which works. However, I've defined a similar LXC domain for Exherbo Linux, created just by unpacking the tarball at http://dev.exherbo.org/stages/exherbo-x86-current.tar.xz - and this one just keeps dying immediately before I can get a console, even though I'm only specifying /bin/bash or /bin/sh as the init command to be executed. I have enabled full debug logging for libvirt but I can't see what the problem is.

Version-Release number of selected component (if applicable):
libvirt-0.8.3-4.fc14.i686

How reproducible:
Always

Steps to Reproduce:
0. Set up domain root as described above
1. virsh --connect lxc:// define exherbo.xml
2. virsh --connect lxc:// start exherbo
3. virsh --connect lxc:// list --all
  
Actual results:
Exherbo domain is shown as "shut off"

Expected results:
Domain should be started

Additional info:
kernel-PAE-2.6.35.11-83.fc14.i686

Rebooting doesn't help. Replacing /bin/bash in the domain root with Fedora's /bin/bash, or Fedora's /usr/bin/yes, doesn't seem to make any difference. 
Adding or removing nodes in /dev in the domain root doesn't help (they are supposed to be created by libvirt anyway).

If I instead do chroot /media/temp/exherbo /bin/bash, that works.

For the Fedora domain, the domain root coincides with a pre-existing mount point (the domain root is the root directory of an LVM volume). For the Exherbo domain, it's just an ordinary subdirectory. But that shouldn't matter - it's worked this way on a previous Fedora release.
Comment 1 Robin Green 2011-04-09 04:02:55 EDT
Created attachment 490927 [details]
config file
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:55:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:59:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:54:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:57:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:00:43 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:02:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Cole Robinson 2012-01-24 17:39:28 EST
LXC support should be much better in recent fedora, so please try there. F14 is EOL anyways

Note You need to log in before you can comment on or make changes to this bug.